Bug 838760 - [abrt] supertuxkart-0.7-4.fc17: __GI_raise: Process /usr/bin/supertuxkart was killed by signal 6 (SIGABRT)
[abrt] supertuxkart-0.7-4.fc17: __GI_raise: Process /usr/bin/supertuxkart was...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: supertuxkart (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:3ff8cacfeb0cf8bda63a57b4ec4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-09 22:52 EDT by Randall Bingham
Modified: 2013-07-31 22:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 22:43:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (21.14 KB, text/plain)
2012-07-09 22:52 EDT, Randall Bingham
no flags Details
File: maps (30.32 KB, text/plain)
2012-07-09 22:52 EDT, Randall Bingham
no flags Details
File: dso_list (4.96 KB, text/plain)
2012-07-09 22:52 EDT, Randall Bingham
no flags Details

  None (edit)
Description Randall Bingham 2012-07-09 22:52:20 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        supertuxkart --log=file
crash_function: __GI_raise
executable:     /usr/bin/supertuxkart
kernel:         3.4.4-3.fc17.x86_64
pid:            27734
pwd:            /home/randall/Documents
time:           Mon 09 Jul 2012 09:23:59 PM CDT
uid:            1000
username:       randall
var_log_messages: Jul  9 21:24:02 FedoraMachine abrt[27812]: Saved core dump of pid 27734 (/usr/bin/supertuxkart) to /var/spool/abrt/ccpp-2012-07-09-21:23:59-27734 (209072128 bytes)
xsession_errors: 

backtrace:      Text file, 21650 bytes
dso_list:       Text file, 5083 bytes
maps:           Text file, 31043 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/randall/1

core_backtrace:
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x35965 raise libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x37118 abort libc.so.6 -
:516204cfc31148538d56b21e2f1b945ed50127d4 0x60bed __gnu_cxx::__verbose_terminate_handler() libstdc++.so.6 -
:516204cfc31148538d56b21e2f1b945ed50127d4 0x5ecf6 - libstdc++.so.6 -
:516204cfc31148538d56b21e2f1b945ed50127d4 0x5ed23 std::terminate() libstdc++.so.6 -
:516204cfc31148538d56b21e2f1b945ed50127d4 0x5f82f __cxa_pure_virtual libstdc++.so.6 -
:53193d20fd558fece6cc528c9e959ea8bab4d6c1 0x86753 - [exe] -
:53193d20fd558fece6cc528c9e959ea8bab4d6c1 0x64586 - [exe] -
:53193d20fd558fece6cc528c9e959ea8bab4d6c1 0x64b02 - [exe] -
:53193d20fd558fece6cc528c9e959ea8bab4d6c1 0x8e4d9 - [exe] -
:53193d20fd558fece6cc528c9e959ea8bab4d6c1 0x8eb14 - [exe] -
:53193d20fd558fece6cc528c9e959ea8bab4d6c1 0x6497f - [exe] -
:ea459bed092aed330d7ee6dc504361d88c2fa098 0x3eec3b irr::CIrrDeviceStub::postEventFromUser(irr::SEvent libIrrlicht.so.1.7 -
:ea459bed092aed330d7ee6dc504361d88c2fa098 0x3e5aeb irr::CIrrDeviceLinux::run() libIrrlicht.so.1.7 -
:53193d20fd558fece6cc528c9e959ea8bab4d6c1 0x4f502 - [exe] -
:53193d20fd558fece6cc528c9e959ea8bab4d6c1 0x2687f - [exe] -
:53193d20fd558fece6cc528c9e959ea8bab4d6c1 0xdd7e - [exe] -

environ:
:XDG_VTNR=1
:KDE_MULTIHEAD=false
:SSH_AGENT_PID=786
:XDG_SESSION_ID=1
:DM_CONTROL=/var/run/xdmctl
:HOSTNAME=FedoraMachine
:DESKTOP_STARTUP_ID=FedoraMachine;1341886307;369858;903_TIME4534071
:SHELL=/bin/bash
:XDG_MENU_PREFIX=kde4-
:XDM_MANAGED=method=classic
:HISTSIZE=1000
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/randall/.gtkrc-2.0:/home/randall/.gtkrc-2.0-kde4:/home/randall/.kde/share/config/gtkrc-2.0
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/randall/.gtkrc:/home/randall/.kde/share/config/gtkrc
:GS_LIB=
:KDE_FULL_SESSION=true
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=randall
:SSH_AUTH_SOCK=/tmp/ssh-fosWZzOAF749/agent.749
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/863,unix/unix:/tmp/.ICE-unix/863
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/home/randall/.local/bin:/home/randall/bin
:DESKTOP_SESSION=default
:MAIL=/var/spool/mail/randall
:PWD=/home/randall/Documents
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:KDE_SESSION_UID=1000
:KDEDIRS=/usr
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HOME=/home/randall
:XDG_SEAT=seat0
:SHLVL=2
:KDE_SESSION_VERSION=4
:XCURSOR_THEME=default
:LOGNAME=randall
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-NYi6Zbn2Pa,guid=6cec87863a9023cc70932dae00000028
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/randall
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins:/home/randall/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/
:XAUTHORITY=/tmp/kde-randall/xauth-1000-_0

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 19721                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       19721                19721                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:pipe:[15162]
:pos:	0
:flags:	00
:1:/home/randall/.config/supertuxkart/stdout.log
:pos:	285698
:flags:	0100001
:2:/home/randall/.config/supertuxkart/stderr.log
:pos:	489
:flags:	0100001
:3:socket:[265885]
:pos:	0
:flags:	02004002
:4:/dev/dri/card0
:pos:	0
:flags:	0100002
:5:pipe:[265991]
:pos:	0
:flags:	02004000
:6:pipe:[265991]
:pos:	0
:flags:	02004001
:7:socket:[265994]
:pos:	0
:flags:	02004002
:8:/usr/share/supertuxkart/data/sfx/horn.ogg
:pos:	29232
:flags:	0100000
:9:/usr/share/supertuxkart/data/sfx/bowling_roll.ogg
:pos:	31504
:flags:	0100000
:10:/usr/share/supertuxkart/data/sfx/strike.ogg
:pos:	27402
:flags:	0100000
:11:/usr/share/supertuxkart/data/sfx/bzzt.ogg
:pos:	8087
:flags:	0100000
:12:/usr/share/supertuxkart/data/sfx/crash.ogg
:pos:	4393
:flags:	0100000
:13:/usr/share/supertuxkart/data/sfx/engine_small.ogg
:pos:	13432
:flags:	0100000
:14:/usr/share/supertuxkart/data/sfx/engine_large.ogg
:pos:	10415
:flags:	0100000
:15:/usr/share/supertuxkart/data/sfx/explosion.ogg
:pos:	6871
:flags:	0100000
:16:/usr/share/supertuxkart/data/sfx/energy_bar_full.ogg
:pos:	7199
:flags:	0100000
:17:/usr/share/supertuxkart/data/sfx/goo.ogg
:pos:	22305
:flags:	0100000
:18:/usr/share/supertuxkart/data/sfx/grab_collectable.ogg
:pos:	7581
:flags:	0100000
:19:/usr/share/supertuxkart/data/sfx/locked.ogg
:pos:	33005
:flags:	0100000
:20:/usr/share/supertuxkart/data/sfx/shoot.ogg
:pos:	13939
:flags:	0100000
:21:/usr/share/supertuxkart/data/sfx/skid.ogg
:pos:	9775
:flags:	0100000
:22:/usr/share/supertuxkart/data/sfx/pre_start_race.ogg
:pos:	5882
:flags:	0100000
:23:/usr/share/supertuxkart/data/sfx/start_race.ogg
:pos:	5340
:flags:	0100000
:24:/usr/share/supertuxkart/data/sfx/track_intro.ogg
:pos:	80707
:flags:	0100000
:25:/usr/share/supertuxkart/data/sfx/swap.ogg
:pos:	22393
:flags:	0100000
:26:/usr/share/supertuxkart/data/sfx/ugh.ogg
:pos:	5607
:flags:	0100000
:27:/usr/share/supertuxkart/data/sfx/anvil.ogg
:pos:	7535
:flags:	0100000
:28:/usr/share/supertuxkart/data/sfx/parachute.ogg
:pos:	13045
:flags:	0100000
:29:/usr/share/supertuxkart/data/sfx/wee.ogg
:pos:	4655
:flags:	0100000
:30:/usr/share/supertuxkart/data/sfx/gp_end.ogg
:pos:	92697
:flags:	0100000
:31:/usr/share/supertuxkart/data/sfx/last_lap_fanfare.ogg
:pos:	71399
:flags:	0100000
:32:/dev/input/js0
:pos:	0
:flags:	0104000
:33:/usr/share/supertuxkart/data/music/MayDayMayhem.ogg
:pos:	892928
:flags:	0100000

smolt_data:
:
:
:General
:=================================
:UUID: d40fad22-b33d-4d90-8140-147671cb8621
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4194.63
:CPU Vendor: AuthenticAMD
:CPU Model: AMD A6-3500 APU with Radeon(tm) HD Graphics
:CPU Stepping: 0
:CPU Family: 18
:CPU Model Num: 1
:Number of CPUs: 3
:CPU Speed: 2100
:System Memory: 2487
:System Swap: 6143
:Vendor: System manufacturer
:System: System Product Name System Version
:Form factor: Desktop
:Kernel: 3.4.4-5.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4130:30721:4163:34034) pci, ahci, STORAGE, Hudson SATA Controller [AHCI mode]
:(5772:19:4997:24064) pci, ath5k, ETHERNET, Atheros AR5001X+ Wireless Network Adapter
:(4130:5893:4163:33992) pci, None, HOST/PCI, Family 12h Processor Root Complex
:(4098:38474:4163:33992) pci, radeon, VIDEO, N/A
:(4130:5912:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 6
:(4130:5892:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 4
:(4130:5913:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 7
:(4130:5910:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 5
:(4130:5889:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 1
:(4130:5888:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 0
:(4130:5891:0:0) pci, k10temp, HOST/PCI, Family 12h/14h Processor Function 3
:(4130:5890:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 2
:(4130:30728:4163:34034) pci, ehci_hcd, USB, Hudson USB EHCI Controller
:(4130:30727:4163:34034) pci, ohci_hcd, USB, Hudson USB OHCI Controller
:(4332:33128:4163:33842) pci, r8169, ETHERNET, P8P67 Deluxe Motherboard [Realtek RTL8111E]
:(4130:17312:4130:0) pci, pcieport, PCI/PCI, N/A
:(4130:17313:4130:0) pci, pcieport, PCI/PCI, N/A
:(4130:30731:4163:34034) pci, piix4_smbus, SERIAL, Hudson SMBus Controller
:(4130:30734:4163:34034) pci, None, PCI/ISA, Hudson LPC Bridge
:(4130:30733:4163:33861) pci, snd_hda_intel, MULTIMEDIA, Hudson Azalia Controller
:(4130:30729:4163:34034) pci, ohci_hcd, USB, Hudson USB OHCI Controller
:(4130:30735:0:0) pci, None, PCI/PCI, Hudson PCI Bridge
:(4130:30728:4163:34034) pci, ehci_hcd, USB, Hudson USB EHCI Controller
:(4130:30727:4163:34034) pci, ohci_hcd, USB, Hudson USB OHCI Controller
:(4130:30728:4163:34034) pci, ehci_hcd, USB, Hudson USB EHCI Controller
:(4130:30727:4163:34034) pci, ohci_hcd, USB, Hudson USB OHCI Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda7 / ext4 4096 4096 3926118 1798724 1759409 983040 801351 801351
:/dev/sda6 /boot ext4 1024 1024 508644 395897 370297 128016 127611 127611
:/dev/sda9 /home ext4 4096 4096 7659750 6529217 6145281 1921360 1919599 1919599
:
Comment 1 Randall Bingham 2012-07-09 22:52:25 EDT
Created attachment 597195 [details]
File: backtrace
Comment 2 Randall Bingham 2012-07-09 22:52:27 EDT
Created attachment 597196 [details]
File: maps
Comment 3 Randall Bingham 2012-07-09 22:52:28 EDT
Created attachment 597197 [details]
File: dso_list
Comment 4 Fedora End Of Life 2013-07-03 19:46:44 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 22:44:00 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.